## ros-crystal-laser-geometry 2.0.0

=== debian/changelog ===
ros-crystal-laser-geometry (2.0.0-0bionic) bionic; urgency=high

  * Removed the ``angle`` dependency as no longer necessary.
  * Updated to build statically but use position independent code.
  * Updated to compile, and to remove PointCloud support, and remove boost.
  * Added visibility headers modified from ``rclcpp``.
  * Updated ``laser_geometry`` to build for ros2 (and on Windows 10).
  * Improved use of numpy. (#14 <https://github.com/ros-perception/laser_geometry/issues/14>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Brian Fjeldstad, Eric Wieser, Jon Binney, Jonathan Binney, Martin Idel, Mikael Arguedas, Vincent Rabaud, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-crystal-laser-geometry (1.6.4-0bionic) bionic; urgency=high

  * Fix segfault when laserscan ranges[] is empty
  * Contributors: Timm Linder, Vincent Rabaud

 -- William Woodall <william@osrfoundation.org>  Mon, 18 May 2015 07:00:00 -0000

ros-crystal-laser-geometry (1.6.3-0bionic) bionic; urgency=high

  * provide support for tf2
  * Contributors: Vincent Rabaud

 -- William Woodall <william@osrfoundation.org>  Sat, 07 Mar 2015 08:00:00 -0000

ros-crystal-laser-geometry (1.6.2-0bionic) bionic; urgency=high

  * adds python port (only simple projection)
  * allows to have range_cutoff > range_max
    NOTE this is required if we need to keep the range_max readings
    in the point cloud.
    An example application is an obstacle_layer in a costmap.
  * Contributors: Vincent Rabaud, enriquefernandez

 -- William Woodall <william@osrfoundation.org>  Sun, 08 Jun 2014 07:00:00 -0000

ros-crystal-laser-geometry (1.6.1-0bionic) bionic; urgency=high

  * Added dependency on cmake_modules
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Sun, 23 Feb 2014 08:00:00 -0000

ros-crystal-laser-geometry (1.6.0-0bionic) bionic; urgency=high

  * Adding William Woodall as a co-maintainer
  * Contributors: Vincent Rabaud, William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-crystal-laser-geometry (1.5.15-0bionic) bionic; urgency=high

  * Fix mistake in end_time calculation for scan transformation in #6

 -- William Woodall <william@osrfoundation.org>  Mon, 02 Dec 2013 08:00:00 -0000

ros-crystal-laser-geometry (1.5.14-0bionic) bionic; urgency=high

  * Treat max_range as invalid measurement
  * Properly propagate range_cutoff
  * check for CATKIN_ENABLE_TESTING

 -- William Woodall <william@osrfoundation.org>  Mon, 04 Nov 2013 08:00:00 -0000

ros-crystal-laser-geometry (1.5.13-0bionic) bionic; urgency=high

  * fixes #3 <https://github.com/ros-perception/laser_geometry/issues/3>

 -- William Woodall <william@osrfoundation.org>  Sun, 06 Oct 2013 07:00:00 -0000

ros-crystal-laser-geometry (1.5.12-0bionic) bionic; urgency=high

  * fix case of Eigen find_package name

 -- William Woodall <william@osrfoundation.org>  Sat, 14 Sep 2013 07:00:00 -0000

ros-crystal-laser-geometry (1.5.11-0bionic) bionic; urgency=high

  * added missing run deps

 -- William Woodall <william@osrfoundation.org>  Mon, 01 Jul 2013 07:00:00 -0000

ros-crystal-laser-geometry (1.5.10-0bionic) bionic; urgency=high

  * [bugfix] export boost and eigen via DEPENDS

 -- William Woodall <william@osrfoundation.org>  Fri, 28 Jun 2013 22:09:00 -0000

ros-crystal-laser-geometry (1.5.9-0bionic) bionic; urgency=high

  * [bugfix] export boost and eigen include dirs

 -- William Woodall <william@osrfoundation.org>  Fri, 28 Jun 2013 18:38:00 -0000

ros-crystal-laser-geometry (1.5.8-0bionic) bionic; urgency=high

  * Added buildtool_depend on catkin

 -- William Woodall <william@osrfoundation.org>  Fri, 14 Dec 2012 21:54:00 -0000

ros-crystal-laser-geometry (1.5.7-0bionic) bionic; urgency=high

  * CMake clean up

 -- William Woodall <william@osrfoundation.org>  Fri, 14 Dec 2012 21:48:00 -0000

ros-crystal-laser-geometry (1.5.6-0bionic) bionic; urgency=high

  * Removed vestigial manifest.xml

 -- William Woodall <william@osrfoundation.org>  Mon, 10 Dec 2012 08:00:00 -0000

ros-crystal-laser-geometry (1.5.5-0bionic) bionic; urgency=high

  * Added .count field (of 1) to every PointCloud2 field description.
    This fixes the bug referred to here: http://dev.pointclouds.org/issues/821 which is useful because that fix in PCL
    seems not to be released yet.
    Also this way is more correct, as far as I can tell.
  * Tidied up CMakeLists.txt based on Dirk's recommendations.

 -- William Woodall <william@osrfoundation.org>  Thu, 15 Nov 2012 08:00:00 -0000

ros-crystal-laser-geometry (1.5.4-0bionic) bionic; urgency=high

  * added install rules to CMakeLists.txt needed for catkinization.
  * catkinized

 -- William Woodall <william@osrfoundation.org>  Wed, 10 Oct 2012 07:00:00 -0000
